QoreFloatDataType.qc.dox.h
// -*- mode: c++; indent-tabs-mode: nil -*-
// assume local scope for variables, do not use "$" signs
// require type definitions everywhere
// enable all warnings
namespace DataProvider {
class QoreFloatDataType : public QoreFloatDataTypeBase {
public:
constructor(*hash<auto> options) ;
};
};
DataProvider::QoreFloatDataType
describes a data type based on float
Definition: QoreFloatDataType.qc.dox.h:34
DataProvider::QoreFloatDataTypeBase
describes a data type based on softnumber with validation for parsing strings
Definition: QoreFloatDataTypeBase.qc.dox.h:34
DataProvider::AbstractDataProviderType::options
hash< auto > options
type options
Definition: AbstractDataProviderType.qc.dox.h:103
DataProvider
Qore AbstractDataField class definition.
Definition: AbstractDataField.qc.dox.h:32
DataProvider::AbstractDataProviderType::constructor
constructor()
creates the type